MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026872Open CASCADE[OCCT] OCCT:Codingpublic2015-11-15 09:082016-04-20 15:51
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026872: Coding - pointless instantiations of local variables in BinTools
DescriptionSeveral methods of classes in BinTools package start with declaration of local variable "Standard_SStream aMsg" which is used only in error handling (i.e. never in normal situations). This does not make any sense and causes execution of unnecessary code at every call. These vars should be instantiated locally only in places where they are used.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0048193)
git (administrator)
2015-11-15 09:12

Branch CR26872 has been created by abv.

SHA-1: 4c31f70d97701ad08d80f33deb966e0b5b051ddd


Detailed log of new commits:

Author: abv
Date: Sun Nov 15 09:11:52 2015 +0300

    0026872: Coding - pointless instantiations of local variables in BinTools
    
    Instantiations of local stringstream variables used in error handling moved from upper function scope to places where they are actually needed
(0048194)
abv (manager)
2015-11-15 09:14

Fix pushed to CR26872, please review
(0048195)
kgv (developer)
2015-11-15 10:14

Please check compilation, testing is not needed.
(0048274)
apv (tester)
2015-11-17 11:27

Dear BugMaster,

Branch CR26872 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms.
SHA-1: 4c31f70d97701ad08d80f33deb966e0b5b051ddd

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 128 (129 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)
(0053136)
git (administrator)
2016-04-17 14:19

Branch CR26872 has been deleted by kgv.

SHA-1: 4c31f70d97701ad08d80f33deb966e0b5b051ddd

- Related Changesets
occt: master 4525373b
Timestamp: 2015-11-15 06:11:52
Author: abv
Committer: bugmaster
Details ] Diff ]
0026872: Coding - pointless instantiations of local variables in BinTools

Instantiations of local stringstream variables used in error handling moved from upper function scope to places where they are actually needed
mod - src/BinTools/BinTools_Curve2dSet.cxx Diff ] File ]
mod - src/BinTools/BinTools_CurveSet.cxx Diff ] File ]
mod - src/BinTools/BinTools_ShapeSet.cxx Diff ] File ]
mod - src/BinTools/BinTools_SurfaceSet.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-11-15 09:08 abv New Issue
2015-11-15 09:08 abv Assigned To => kgv
2015-11-15 09:12 git Note Added: 0048193
2015-11-15 09:14 abv Note Added: 0048194
2015-11-15 09:14 abv Status new => resolved
2015-11-15 09:14 abv Steps to Reproduce Updated View Revisions
2015-11-15 10:14 kgv Note Added: 0048195
2015-11-15 10:14 kgv Assigned To kgv => bugmaster
2015-11-15 10:14 kgv Status resolved => reviewed
2015-11-16 12:54 apv Assigned To bugmaster => apv
2015-11-16 16:41 apv Test case number => Not needed
2015-11-17 11:27 apv Note Added: 0048274
2015-11-17 11:27 apv Assigned To apv => bugmaster
2015-11-17 11:27 apv Status reviewed => tested
2015-11-20 12:07 bugmaster Changeset attached => occt master 4525373b
2015-11-20 12:07 bugmaster Status tested => verified
2015-11-20 12:07 bugmaster Resolution open => fixed
2016-04-17 14:19 git Note Added: 0053136
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker